package com.iamberry.wechat.core.entity.member;

import com.iamberry.app.verify.ValidatorInterface;

/**
 * @author 何秀刚
 * Class Description: 申请积分提现功能
 * Create Date:2016年4月21日
 * Update Date:2016年4月21日
 */
public class ApplyDto implements java.io.Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = -5358406467846253616L;

	@ValidatorInterface(validatorIsRule = "[^\\s]{1,}", isEnable = true)
	private String username; // 用户名

	@ValidatorInterface(validatorIsRule = "^[1]([3][0-9]{1}|50|51|52|53|55|56|57|58|59|77|80|81|82|83|85|84|86|87|88|89|)[0-9]{8}$", isEnable = true)
	private String tel; // 电话
	
	private int integralNum; // 申请数量

	@ValidatorInterface(validatorIsRule = "[^\\s]{1,}", isEnable = true)
	private String bankName; // 银行名称

	@ValidatorInterface(validatorIsRule = "[^\\s]{1,}", isEnable = true)
	private String branch; // 支行名称

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getTel() {
		return tel;
	}

	public void setTel(String tel) {
		this.tel = tel;
	}

	public int getIntegralNum() {
		return integralNum;
	}

	public void setIntegralNum(int integralNum) {
		this.integralNum = integralNum;
	}

	public String getBankName() {
		return bankName;
	}

	public void setBankName(String bankName) {
		this.bankName = bankName;
	}

	public String getBranch() {
		return branch;
	}

	public void setBranch(String branch) {
		this.branch = branch;
	}
}
